> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a list of inventory Activity



## OpenAPI

````yaml /openapi.json get /api/v1/Inventories/Activity
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Inventories/Activity:
    get:
      tags:
        - Inventories
      summary: Gets a list of inventory Activity
      parameters:
        - name: supplierId
          in: query
          description: SupplierId is the unique ID for the owner of items in the system
          required: true
          schema:
            minLength: 2
            type: string
        - name: warehouseCode
          in: query
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          schema:
            type: string
        - name: subInventoryCode
          in: query
          description: The Sub Inventory this inventory is in (Code)
          schema:
            type: string
        - name: searchStartDate
          in: query
          description: "The beginning date of the search range\r\n            \r\n    YYYY-MM-DD"
          required: true
          schema:
            type: string
            format: date-time
        - name: searchEndDate
          in: query
          description: "The ending date of the search range\r\n            \r\n    YYYY-MM-DD"
          required: true
          schema:
            type: string
            format: date-time
        - name: sku
          in: query
          description: The SKU of the customer
          schema:
            type: string
        - name: isWithActivityOnly
          in: query
          description: "Restrict the search to those with activity only\r\n            \r\n    Defaults to True: Only include inventory with activity"
          required: true
          schema:
            type: boolean
            default: 'true'
      responses:
        '200':
          description: Returns the list of inventory activity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryActivityIEnumerableServiceResult'
components:
  schemas:
    InventoryActivityIEnumerableServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/InventoryActivity'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    InventoryActivity:
      required:
        - accountNumber
        - supplierId
      type: object
      properties:
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        accountNumber:
          minLength: 2
          type: string
          description: AccountNumber is the unique Customer ID in the WineDirect system.
        warehouseCode:
          type: string
          description: The Warehouse's Code
          nullable: true
        warehouseName:
          type: string
          description: The Warehouse's Name
          nullable: true
        subInventoryCode:
          type: string
          description: The Sub Inventory this inventory is in (Code)
          nullable: true
        subInventoryName:
          type: string
          description: The Sub Inventory this inventory is in (Name)
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        description:
          type: string
          description: Description of the SKU
          nullable: true
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        skuType:
          type: string
          description: The type of SKU
          nullable: true
        beginningOnHand:
          type: integer
          description: The amount of inventory at the beginning of the report
          format: int32
        endingOnHand:
          type: integer
          description: The amount of inventory at the ending of the report
          format: int32
        qtyReceived:
          type: integer
          description: The quantity Received
          format: int32
        qtyTransferredIn:
          type: integer
          description: The quantity Transferred In
          format: int32
        qtyTransferredOut:
          type: integer
          description: The quantity Transferred Out
          format: int32
        qtyMovedIn:
          type: integer
          description: The quantity Moved In
          format: int32
        qtyMovedOut:
          type: integer
          description: The quantity Moved Out
          format: int32
        qtyShipped:
          type: integer
          description: The quantity Shipped
          format: int32
        qtyAdjusted:
          type: integer
          description: The quantity Adjusted
          format: int32
        qtyDamaged:
          type: integer
          description: The quantity Damaged
          format: int32
        qtyReturned:
          type: integer
          description: The quantity Returned
          format: int32
        qtyKitted:
          type: integer
          description: Build of Materials - arrangement of goods
          format: int32
        qtyOther:
          type: integer
          description: The quantity Other
          format: int32
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````